ru.bitel.bgbilling.kernel.contract.object.server.bean

## Class ContractObjectTypeDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<ContractObjectType>
      - - ru.bitel.bgbilling.kernel.contract.object.server.bean.ContractObjectTypeDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, Directory<ContractObjectType>

      public class ContractObjectTypeDao
      extends ru.bitel.common.dao.AbstractIdDao<ContractObjectType>
      implements Directory<ContractObjectType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractObjectTypeDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `deleteImpl(int id)`
    `ContractObjectType` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `protected ContractObjectType` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ContractObjectType>` | `list()` Получение всего списка элементов из справочника
    `void` | `recycle()`
    `protected void` | `updateImpl(ContractObjectType b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### ContractObjectTypeDao

          public ContractObjectTypeDao(java.sql.Connection con)

  - ### Method Detail

    - #### getFromRS

          protected ContractObjectType getFromRS(java.sql.ResultSet rs)
                                          throws java.sql.SQLException,
                                                 ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractObjectType>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ContractObjectType b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractObjectType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### deleteImpl

          protected int deleteImpl(int id)
                            throws ru.bitel.bgbilling.common.BGException,
                                   java.sql.SQLException

      Overrides:
        `deleteImpl` in class `ru.bitel.common.dao.AbstractDao<ContractObjectType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### recycle

          public void recycle()
                       throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `recycle` in class `ru.bitel.common.dao.AbstractDao<ContractObjectType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public ContractObjectType get(java.lang.String title)
                                 throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `Directory<ContractObjectType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ContractObjectType> list()
                                                  throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `Directory<ContractObjectType>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`